Name:		ggz-gtk-client
Version:	0.99.5
Release:	15%{?dist}
Summary:        Gtk+ client libraries for GGZ gaming zone

Group:		Development/Libraries    
License:	GPLv2+
URL:            http://www.ggzgamingzone.org/
Source0:        http://mirrors.ibiblio.org/pub/mirrors/ggzgamingzone/ggz/snapshots/%{name}-snapshot-%{version}.tar.gz
Patch0:         ggz-gtk-client-0.99.5-format-security.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	ggz-base-libs-devel
BuildRequires:	gtk2-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext


%description
The GGZ Gaming Zone GTK+ Client provides a GTK+ 2.x user interface
for logging into a GGZ server, chatting with other players, and
locating and launching game tables.


%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libggz-devel
Requires:	ggz-client-libs-devel
Requires:	gtk2-devel


%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-snapshot-%{version}
# Avoid lib64 rpaths
%if "%{_libdir}" != "/usr/lib"
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure
%endif
%patch0 -p1


%build
# Will look at building the gaim plugin down the road.
%configure --disable-gaim-plugin	\
	   --disable-debug		\
	   --enable-static=no

# hack to omit unused-direct-shlib-dependencies
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
%find_lang ggz-gtk

desktop-file-install --delete-original	\
  --dir %{buildroot}%{_datadir}/applications   	\
  %{buildroot}%{_datadir}/applications/ggz-gtk.desktop


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files -f ggz-gtk.lang
%defattr(-,root,root,-)
%doc README README.GGZ NEWS COPYING
%{_bindir}/ggz-gtk
%{_libdir}/libggz-gtk.so.*
%{_datadir}/applications/ggz-gtk.desktop
%{_datadir}/ggz/
%{_mandir}/man6/ggz-gtk.6.*
%{_sysconfdir}/ggz.modules.d/ggz-gtk-client
%{_libdir}/ggz
%{_datadir}/locale/de/LC_MESSAGES/*.mo



%files devel
%defattr(-,root,root,-)
%{_libdir}/libggz-gtk.so
%{_includedir}/ggz-*.h


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.5-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 16 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 0.99.5-11
- Fix FTBFS with -Werror=format-security (#1037084, #1106530)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 24 2013 Bruno Wolff III <bruno@wolff.to> - 0.99.5-8
- Remove vendor prefix from desktop file

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 05 2011 Bruno Wolff III <bruno@wolff.to> - 0.99.5-4
- Rebuild for libpng 1.5

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 01 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.99.5-2
- fix directory ownership #609737

* Wed Feb 17 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.99.5-1
- New upstream snapshot

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar  8 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.99.4-1
- Update to 0.99.4.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 17 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.0.14.1-1
- Update to 0.0.14.1.

* Mon Feb  4 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.0.14-3
- Add hack to omit unused-direct-shlib-dependencies.

* Mon Jan 28 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.0.14-2
- Fix rpath.

* Sat Jan 26 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.0.14-1
- Initial Fedora spec.

